# Ersti-Handout inklusive Stundenplan

[**:inbox_tray: Handout und Stundenplan herunterladen**][pdf-zip]

[pdf-zip]: https://gitlab.cl.uni-heidelberg.de/api/v4/projects/1501/jobs/artifacts/master/download?job=build-tex

## Wichtige Dateien

* [📄 `main.tex`](main.tex): Handout inklusive Stundenplan (Inhalte eingebunden über Snippet)
* [📄 `schedule.tex`](schedule.tex): Nur Stundenplan (Inhalte eingebunden über Snippet)
* [✂️ `schedule.summer.tex`](schedule.summer.tex): Snippet: Stundenplan für ein Sommersemester
* [✂️ `schedule.winter.tex`](schedule.summer.tex): Snippet: Stundenplan für ein Stundenplan
* [⚙️ `schedule.config.tex`](schedule.config.tex): Konfiguration für den Stundenplan, sollte normalerweise nicht geändert werden müssen

## Anpassungen vornehmen

Jedes Semester müssen die folgenden Anpassungen vorgenommen werden:

1. Handout (📄 `main.tex`) inhaltlich anpassen
2. Relevanten Stundenplan (✂️ `schedule.summer.tex` bzw. ✂️ `schedule.winter.tex`) inhaltlich anpassen
3. In 📄 `main.tex` und 📄 `schedule.tex`: `\input{schedule.winter.tex}` durch `\input{schedule.sommer.tex}` ersetzen (oder andersrum)
4. Commiten und pushen

## Ich will mir einen eigenen Stundenplan zusammenstellen!

### Möglichkeit 1: Exakt unsere Vorlage verwenden

Du kannst deinen Stundenplan auf exakt dieselbe Weise erstellen wie wir. Dazu benötigst du die folgenden Dateien:

1. 📄 `schedule.tex`
2. ✂️ `schedule.summer.tex` oder ✂️ `schedule.winter.tex`
3. ⚙️ `schedule.config.tex`

Lade sie dir herunter, nimm die Anpassungen vor wie in „Anpassungen vornehmen“ beschrieben und kompiliere am Ende 📄 `schedule.tex` mit LaTeX.

### Möglichkeit 2: Die Minimalvorlage verwenden

Alternativ kannst du auch die Datei 📄 `Minimalvorlage/schedule.tex` verwenden. Da ist dann alles in einem, was vermutlich weniger aufwändig zu bearbeiten ist. Dafür pflegen wir sie auch seltener. Falls du also den von der Fachschaft veröffentlichten Stundenplan pixel-perfekt replizieren willst, ist Möglichkeit 1 vermutlich die einfachere.

Wenn du die Minimalvorlage ohne Veränderungen kompilierst, solltest du [dieses minimale Ergebnis (PDF)](https://gitlab.cl.uni-heidelberg.de/api/v4/projects/1501/jobs/artifacts/master/raw/pdfs/Minimalvorlage/schedule.pdf?job=build-tex) erhalten.
